com.google.gwt.logging.client

## Class ConsoleLogHandler

- java.lang.Object
- - java.util.logging.Handler
  - - com.google.gwt.logging.client.ConsoleLogHandler

    public class ConsoleLogHandler
    extends java.util.logging.Handler

A Handler that prints logs to the window.console.

Note we are consciously using 'window' rather than '$wnd' to avoid issues similar to http://code.google.com/p/fbug/issues/detail?id=2914

### Constructor Summary

Constructors
Constructor and Description
`ConsoleLogHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `publish(java.util.logging.LogRecord record)`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConsoleLogHandler

    public ConsoleLogHandler()

### Method Detail

#### close

    public void close()

Specified by:
  `close` in class `java.util.logging.Handler`

#### flush

    public void flush()

Specified by:
  `flush` in class `java.util.logging.Handler`

#### publish

    public void publish(java.util.logging.LogRecord record)

Specified by:
  `publish` in class `java.util.logging.Handler`